%define _buildid .12

Summary: A file compression utility
Name: bzip2
Version: 1.0.6
Release: 8%{?_buildid}%{?dist}
License: BSD
Group: Applications/File
URL: http://www.bzip.org/
Source: http://www.bzip.org/%{version}/bzip2-%{version}.tar.gz
Patch0: bzip2-1.0.6-saneso.patch
Patch6: bzip2-1.0.4-bzip2recover.patch
Patch7: bzip2-1.0.2-ow.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Bzip2 is a freely available, patent-free, high quality data compressor.
Bzip2 compresses files to within 10 to 15 percent of the capabilities 
of the best techniques available.  However, bzip2 has the added benefit 
of being approximately two times faster at compression and six times 
faster at decompression than those techniques.  Bzip2 is not the 
fastest compression utility, but it does strike a balance between speed 
and compression capability.

Install bzip2 if you need a compression utility.

%package devel
Summary: Header files developing apps which will use bzip2
Group: Development/Libraries
Requires: bzip2-libs = %{version}-%{release}

%description devel

Header files and a library of bzip2 functions, for developing apps
which will use the library.

%package libs
Summary: Libraries for applications using bzip2
Group: System Environment/Libraries

%description libs

Libraries for applications using the bzip2 compression format.

%prep
%setup -q 
%patch0 -p1 -b .saneso
%patch6 -p1 -b .bz2recover
#%patch7 -p1 -b .ow

%build

make -f Makefile-libbz2_so CC="%{__cc}" AR="%{__ar}" RANLIB="%{__ranlib}" \
        CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -fpic -fPIC" \
        %{?_smp_mflags} all

rm -f *.o
make CC="%{__cc}" AR="%{__ar}" RANLIB="%{__ranlib}" \
        CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64" \
        %{?_smp_mflags} all

%install
rm -rf ${RPM_BUILD_ROOT}

chmod 644 bzlib.h 
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,/%{_lib},%{_libdir},%{_includedir}}
cp -p bzlib.h $RPM_BUILD_ROOT%{_includedir}
install -m 755 libbz2.so.%{version} $RPM_BUILD_ROOT/%{_lib}
install -m 755 bzip2-shared  $RPM_BUILD_ROOT%{_bindir}/bzip2
install -m 755 bzip2recover bzgrep bzdiff bzmore  $RPM_BUILD_ROOT%{_bindir}/
cp -p bzip2.1 bzdiff.1 bzgrep.1 bzmore.1  $RPM_BUILD_ROOT%{_mandir}/man1/
ln -s bzip2 $RPM_BUILD_ROOT%{_bindir}/bunzip2
ln -s bzip2 $RPM_BUILD_ROOT%{_bindir}/bzcat
ln -s bzdiff $RPM_BUILD_ROOT%{_bindir}/bzcmp
ln -s bzmore $RPM_BUILD_ROOT%{_bindir}/bzless
ln -s libbz2.so.%{version} $RPM_BUILD_ROOT/%{_lib}/libbz2.so.1
ln -s ../../%{_lib}/libbz2.so.1 $RPM_BUILD_ROOT/%{_libdir}/libbz2.so
ln -s bzip2.1 $RPM_BUILD_ROOT%{_mandir}/man1/bzip2recover.1
ln -s bzip2.1 $RPM_BUILD_ROOT%{_mandir}/man1/bunzip2.1
ln -s bzip2.1 $RPM_BUILD_ROOT%{_mandir}/man1/bzcat.1
ln -s bzdiff.1 $RPM_BUILD_ROOT%{_mandir}/man1/bzcmp.1
ln -s bzmore.1 $RPM_BUILD_ROOT%{_mandir}/man1/bzless.1


%post libs -p /sbin/ldconfig

%postun libs  -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc LICENSE CHANGES README 
%{_bindir}/*
%{_mandir}/*/*

%files libs
%defattr(-,root,root,-)
/%{_lib}/*so.*

%files devel
%defattr(-,root,root,-)
%doc manual.html manual.pdf
%{_includedir}/*
/%{_libdir}/*so

%changelog
* Sat Jan 15 2011 12:34:14 UTC Cristian Gafton <gafton@amazon.com>
- remove extraneous references to bad version merges

* Thu Dec 30 2010 17:50:38 UTC Ben Howard <behoward@amazon.com>
- Merge patch was applied in source, commented out patch

* Thu Dec 30 2010 17:40:47 UTC Ben Howard <behoward@amazon.com>
- Versioning error prevented build, fixed

* Thu Dec 30 2010 17:37:17 UTC Ben Howard <behoward@amazon.com>
- Update to RHEL6 version

* Thu Dec 2 2010 00:57:24 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/bzip2-1.0.5-7.el6_0

* Tue Sep 21 2010 20:32:46 UTC Cristian Gafton <gafton@amazon.com>
- update to 1.0.6, which removes a potential security vulnerability: CVE-2010-0405.

* Fri Jul 9 2010 21:38:57 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/bzip2-1.0.5-6.1.el6

* Fri May 7 2010 00:41:02 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/bzip2-1.0.3-4.el5_2

* Fri May 7 2010 00:41:01 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/bzip2-1.0.3-3

* Fri May 7 2010 00:11:48 UTC Cristian Gafton <gafton@amazon.com>
- added submodule prep for package bzip2
